AzimuthPanner (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Class AzimuthPanner

    java.lang.Object
      com.bbn.openmap.event.AzimuthPanner

Direct Known Subclasses:
  AzimuthPanner.Standard

    public abstract class AzimuthPanner

extends java.lang.Object

AzPanner is an abstract class that handles panning effects for Azimuth projections.

Author:
  dietrick

Nested Class Summary
`static class` | `AzimuthPanner.Shapefile`
`static class` | `AzimuthPanner.Standard`

Method Summary
`DrawingAttributes` | `getAzDrawing()`
`abstract void` | `handlePan(MapBean map, java.awt.event.MouseEvent me)`
`abstract void` | `handleUnpan(java.awt.event.MouseEvent me)`
`void` | `listenerPaint(java.lang.Object source, java.awt.Graphics graphics)`
`void` | `render(java.awt.Graphics g)`
`void` | `setAzDrawing(DrawingAttributes azDrawing)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### handlePan

    public abstract void handlePan(MapBean map,
                                   java.awt.event.MouseEvent me)

### handleUnpan

    public abstract void handleUnpan(java.awt.event.MouseEvent me)

### render

    public void render(java.awt.Graphics g)

### getAzDrawing

    public DrawingAttributes getAzDrawing()

  Returns:
    the azDrawing

### setAzDrawing

    public void setAzDrawing(DrawingAttributes azDrawing)

  Parameters:
    `azDrawing` - the azDrawing to set

### listenerPaint

    public void listenerPaint(java.lang.Object source,
                              java.awt.Graphics graphics)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details